local createCompositionhomyak = nil
---------------------------------------------------------------------------------------
local PREFIX_PATH = "data/Texture/Scenes/09_doctor/main/anim/z_dummy/"
---------------------------------------------------------------------------------------
function Loader_09_Zoom_Dummy_Animations(parent)
	return CreateAnimationLoadingRoutine(parent, PREFIX_PATH,
		{
    			CreateCompositionLoader(createCompositionhomyak,		                'action',		        0,0, 1, 320,240, false),
		},
		{
			function (element, textureName)
				if textureName == "hom_[].png" then
					local anim = element:GetTexture()
					anim:SetFrames(12)
					anim:SetTextureRect(0,0,120,100)
					anim:SetSpeed(24)
					anim:SetMode(HGEANIM_FWD + HGEANIM_LOOP)
					anim:Play()
				end
				if textureName == "koleco_[].png" then
					local anim = element:GetTexture()
					anim:SetFrames(10)
					anim:SetTextureRect(0,0,180,180)
					anim:SetSpeed(24)
					anim:SetMode(HGEANIM_FWD + HGEANIM_LOOP)
					anim:Play()
				end
			end,
		});
end
---------------------------------------------------------------------------------------
createCompositionhomyak = function()
	local compositionhomyak = CreateCompositionSequence()
	local compositionDuration = 4
	compositionhomyak:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."layer_homyak.png")
	element:SetName("Layer_1")
	compositionhomyak:AddElement(element)
	element:SetHotSpot(50, 25.5)
	element:SetParentElement(compositionhomyak)
	element:SetXY(299, 379)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 4)
	effector:SetKey(_TRACK_O, 2.875, 0)
	effector:SetKey(_TRACK_O, 3.29166666666667, 1)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."hom_[].png")
	element:SetName("Layer_2")
	compositionhomyak:AddElement(element)
	element:SetHotSpot(60, 50)
	element:SetParentElement(compositionhomyak)
	element:SetXY(307, 376)
 
	element:SetAngle(0.0523598775)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 3.5)
	effector:SetKey(_TRACK_O, 3, 1)
	effector:SetKey(_TRACK_O, 3.41666666666667, 0)
	effector:Play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."koleco_[].png")
	element:SetName("Layer_3")
	compositionhomyak:AddElement(element)
	element:SetHotSpot(90, 90)
	element:SetParentElement(compositionhomyak)
	element:SetXY(303, 338)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 3.75)
	effector:SetKey(_TRACK_O, 0, 0.01)
	effector:SetKey(_TRACK_O, 0.41666666666667, 1)
	effector:SetKey(_TRACK_O, 3, 1)
	effector:SetKey(_TRACK_O, 3.625, 0.01)
	effector:Play()
 
 
	-- Layer Layer_4
	element = CreateCompositionElement(PREFIX_PATH.."krestovina.png")
	element:SetName("Layer_4")
	compositionhomyak:AddElement(element)
	element:SetHotSpot(79.5, 81)
	element:SetParentElement(compositionhomyak)
	element:SetXY(298.5, 342)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 4)
	effector:SetKey(_TRACK_A, 0, 0)
	effector:SetKey(_TRACK_A, 3.33333333333333, -157.0796325)
	effector:SetKey(_TRACK_O, 0, 0)
	effector:SetKey(_TRACK_O, 0.41666666666667, 1)
	effector:SetKey(_TRACK_O, 3, 1)
	effector:SetKey(_TRACK_O, 3.625, 0)
	effector:Play()
 
 
	-- Layer Layer_5
	element = CreateCompositionElement(PREFIX_PATH.."layer_chelust.png")
	element:SetName("Layer_5")
	compositionhomyak:AddElement(element)
	element:SetHotSpot(44, 23)
	element:SetParentElement(compositionhomyak)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 4)
	effector:SetKey(_TRACK_X, 0.5, 308)
	effector:SetKey(_TRACK_Y, 0.5, 132)
	effector:SetKey(_TRACK_X, 3, 308)
	effector:SetKey(_TRACK_Y, 3, 179)
	effector:Play()
 
 
	-- Layer Layer_6
	element = CreateCompositionElement(PREFIX_PATH.."inv.png")
	element:SetName("Layer_6")
	compositionhomyak:AddElement(element)
	element:SetHotSpot(32, 32)
	element:SetParentElement(compositionhomyak)
	element:SetXY(308.5, 134)
 
	element:SetScaleX(0.53125)
	element:SetScaleY(0.53125)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 4)
	effector:Play()
 
 
	-- Layer Layer_7
	element = CreateCompositionElement(PREFIX_PATH.."layer_koleso1.png")
	element:SetName("Layer_7")
	compositionhomyak:AddElement(element)
	element:SetHotSpot(87, 87)
	element:SetParentElement(compositionhomyak)
	element:SetXY(302, 334)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 4)
	effector:SetKey(_TRACK_O, 0, 1)
	effector:SetKey(_TRACK_O, 0.41666666666667, 0)
	effector:SetKey(_TRACK_O, 3, 0)
	effector:SetKey(_TRACK_O, 3.625, 1)
	effector:Play()
 
	compositionhomyak:Play()
 
	return compositionhomyak
end
 
